javax.security.auth.message

## Interface ClientAuth

- All Known Subinterfaces:
    ClientAuthContext, ClientAuthModule

      public interface ClientAuth

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanSubject(MessageInfo messageInfo, javax.security.auth.Subject subject)`
    `AuthStatus` | `secureRequest(MessageInfo messageInfo, javax.security.auth.Subject clientSubject)`
    `AuthStatus` | `validateResponse(MessageInfo messageInfo, javax.security.auth.Subject clientSubject, javax.security.auth.Subject serviceSubject)`

- - ### Method Detail

    - #### secureRequest

          AuthStatus secureRequest(MessageInfo messageInfo,
                                 javax.security.auth.Subject clientSubject)
                                   throws AuthException

      Throws:
        `AuthException`

    - #### validateResponse

          AuthStatus validateResponse(MessageInfo messageInfo,
                                    javax.security.auth.Subject clientSubject,
                                    javax.security.auth.Subject serviceSubject)
                                      throws AuthException

      Throws:
        `AuthException`

    - #### cleanSubject

          void cleanSubject(MessageInfo messageInfo,
                          javax.security.auth.Subject subject)
                            throws AuthException

      Throws:
        `AuthException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.